ARC Graphical Clients: JobDefinitionBase Class Reference

# JobDefinitionBase Class Reference

Inheritance diagram for JobDefinitionBase:

List of all members.

## Public Types
enum | TSweepType { ST_SINGLE_INPUT, ST_MULTIPLE_INPUT }
## Public Member Functions
| JobDefinitionBase (QObject *parent=0, QString name="")
void | setParamSize (int nSize)
int | paramSize ()
void | setExecutable (QString name)
QString | executable ()
void | clearArguments ()
void | addArgument (QString argument)
void | setName (QString name)
QString | name ()
void | setEmail (QString email)
QString | email ()
void | setProcessorCount (int count)
int | processorCount ()
void | setSweepType (TSweepType sweepType)
TSweepType | sweepType ()
void | clearInputFiles ()
void | addInputFile (QString filename, QString sourceLocation="")
void | setInputFileAt (int idx, QString filename, QString sourceLocation="")
void | setInputSourceAt (int idx, QString sourceLocation)
int | inputFileCount ()
QString | inputFileAt (int idx)
QString | inputFileSourceAt (int idx)
void | removeInputFile (int idx)
void | clearPerJobFiles ()
void | addPerJobFile (QString filename, QString sourceLocation="")
void | setPerJobFileAt (int idx, QString filename, QString sourceLocation="")
void | setPerJobSourceAt (int idx, QString sourceLocation)
int | perJobFileCount ()
QString | perJobFileAt (int idx)
QString | perJobFileSourceAt (int idx)
void | removePerJobFile (int idx)
void | clearOutputFiles ()
void | addOutputFile (QString filename, QString targetLocation="")
void | setOutputFileAt (int idx, QString filename, QString targetLocation="")
void | setOutputTargetAt (int idx, QString targetLocation)
int | outputFileCount ()
QString | outputFileAt (int idx)
QString | outputFileTargetAt (int idx)
void | removeOutputFile (int idx)
void | clearRuntimes ()
void | addRuntime (QString runtimeName, QString runtimeVersion)
int | runtimeCount ()
QString | runtimeAt (int idx)
void | removeRuntime (int idx)
void | setWalltime (int t)
int | walltime ()
void | setMemory (int m)
int | memory ()
QString | jobDir ()
void | clear ()
bool | setup ()
bool | load (QString jobDefDir)
bool | save (QString saveDir)
void | print ()
QString | xrslString (QString jobName="")
QString | xrslStringParam (int param)
QString | runScript (int param)
Arc::JobDescription & | jobDescription ()
Arc::JobDescription & | jobDescriptionParam (int i)
## Protected Member Functions
virtual void | doCreateRunScript (int paramNumber, int paramSize, QString jobName, QString perJobFilename, QString &script)
virtual void | doProcessInputFile (QString &inputFilename, QString &inputSourceURL, int paramNumber, int paramSize, QString jobName, QString perJobFilename)
virtual void | doProcessOutputFile (QString &outputFilename, QString &outputTargetURL, int paramNumber, int paramSize, QString jobName, QString perJobFilename)
virtual void | doSaveSettings (QSettings &settings)
virtual void | doLoadSettings (QSettings &settings)

The documentation for this class was generated from the following files:

- /home/jonas/Development/arc-gui-clients/src/arcsub-ui/jobdefinitions.h
- /home/jonas/Development/arc-gui-clients/src/arcsub-ui/jobdefinitions.cpp

All Classes Functions Variables